org.apache.ivy.core.module.descriptor

## Class ExtraInfoHolder

- java.lang.Object
- - org.apache.ivy.core.module.descriptor.ExtraInfoHolder

    public class ExtraInfoHolder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ExtraInfoHolder()`
`ExtraInfoHolder(java.lang.String name, java.lang.String content)`

### Method Summary

Methods
`java.util.Map<java.lang.String,java.lang.String>` `getAttributes()`
`java.lang.String` `getContent()`
`java.lang.String` `getName()`
`java.util.List<ExtraInfoHolder>` `getNestedExtraInfoHolder()`
`void` `setAttributes(java.util.Map<java.lang.String,java.lang.String> attributes)`
`void` `setContent(java.lang.String content)`
`void` `setName(java.lang.String name)`
`void` `setNestedExtraInfoHolder(java.util.List<ExtraInfoHolder> nestedExtraInfoHolder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtraInfoHolder

    public ExtraInfoHolder()

#### ExtraInfoHolder

    public ExtraInfoHolder(java.lang.String name,
                   java.lang.String content)

### Method Detail

#### getName

    public java.lang.String getName()

#### setName

    public void setName(java.lang.String name)

#### getAttributes

    public java.util.Map<java.lang.String,java.lang.String> getAttributes()

#### setAttributes

    public void setAttributes(java.util.Map<java.lang.String,java.lang.String> attributes)

#### getContent

    public java.lang.String getContent()

#### setContent

    public void setContent(java.lang.String content)

#### getNestedExtraInfoHolder

    public java.util.List<ExtraInfoHolder> getNestedExtraInfoHolder()

#### setNestedExtraInfoHolder

    public void setNestedExtraInfoHolder(java.util.List<ExtraInfoHolder> nestedExtraInfoHolder)